#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <math.h>
int main()
{
    int A,B,C;
    short int duzA,duzB,duzC;
    scanf("%d %d %d",&A,&B,&C);
    duzA = log10(A)+1;
    duzB = log10(B)+1;
    duzC = log10(C)+1;

    char pokusaj1[duzA+duzB+duzC];
    char pokusaj2[duzA+duzB+duzC];
    char pokusaj3[duzA+duzB+duzC];
    char pokusaj4[duzA+duzB+duzC];
    char pokusaj5[duzA+duzB+duzC];
    char pokusaj6[duzA+duzB+duzC];

    sprintf(pokusaj1,"%d%d%d",A,B,C);
    sprintf(pokusaj2,"%d%d%d",A,C,B);
    sprintf(pokusaj3,"%d%d%d",B,A,C);
    sprintf(pokusaj4,"%d%d%d",B,C,A);
    sprintf(pokusaj5,"%d%d%d",C,A,B);
    sprintf(pokusaj6,"%d%d%d",C,B,A);

    if(strcmp(pokusaj1,pokusaj2)==1)
    {
        if(strcmp(pokusaj1,pokusaj3)==1)
        {
            if(strcmp(pokusaj1,pokusaj4)==1)
            {
                if(strcmp(pokusaj1,pokusaj5)==1)
                {
                    if(strcmp(pokusaj1,pokusaj6)==1)
                    {
                        printf("%s",pokusaj1);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }

        }else
        {
            if(strcmp(pokusaj3,pokusaj4)==1)
            {
                if(strcmp(pokusaj3,pokusaj5)==1)
                {
                    if(strcmp(pokusaj3,pokusaj6)==1)
                    {
                        printf("%s",pokusaj3);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }
        }

    }
    else
    {
        if(strcmp(pokusaj2,pokusaj3)==1)
        {
            if(strcmp(pokusaj2,pokusaj4)==1)
            {
                if(strcmp(pokusaj2,pokusaj5)==1)
                {
                    if(strcmp(pokusaj2,pokusaj6)==1)
                    {
                        printf("%s",pokusaj2);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6))
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }

        }else
        {
            if(strcmp(pokusaj3,pokusaj4)==1)
            {
                if(strcmp(pokusaj3,pokusaj5)==1)
                {
                    if(strcmp(pokusaj3,pokusaj6))
                    {
                        printf("%s",pokusaj3);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }

            }else
            {
                if(strcmp(pokusaj4,pokusaj5)==1)
                {
                    if(strcmp(pokusaj4,pokusaj6)==1)
                    {
                        printf("%s",pokusaj4);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }else
                {
                    if(strcmp(pokusaj5,pokusaj6)==1)
                    {
                        printf("%s",pokusaj5);
                        return 1;
                    }
                    else {printf("%s",pokusaj6);return 1;}
                }
            }
        }
    }
}